DateFormat
Date: 2016-06-24

java.text

## Class DateFormat

- java.lang.Object
- - java.text.Format
  - - java.text.DateFormat

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    SimpleDateFormat

      public abstract class DateFormat
      extends Format

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DateFormat.Field`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AM_PM_FIELD`
    `protected Calendar` | `calendar`
    `static int` | `DATE_FIELD`
    `static int` | `DAY_OF_WEEK_FIELD`
    `static int` | `DAY_OF_WEEK_IN_MONTH_FIELD`
    `static int` | `DAY_OF_YEAR_FIELD`
    `static int` | `DEFAULT`
    `static int` | `ERA_FIELD`
    `static int` | `FULL`
    `static int` | `HOUR_OF_DAY0_FIELD`
    `static int` | `HOUR_OF_DAY1_FIELD`
    `static int` | `HOUR0_FIELD`
    `static int` | `HOUR1_FIELD`
    `static int` | `LONG`
    `static int` | `MEDIUM`
    `static int` | `MILLISECOND_FIELD`
    `static int` | `MINUTE_FIELD`
    `static int` | `MONTH_FIELD`
    `protected NumberFormat` | `numberFormat`
    `static int` | `SECOND_FIELD`
    `static int` | `SHORT`
    `static int` | `TIMEZONE_FIELD`
    `static int` | `WEEK_OF_MONTH_FIELD`
    `static int` | `WEEK_OF_YEAR_FIELD`
    `static int` | `YEAR_FIELD`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DateFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(Date var0)`
    `abstract StringBuffer` | `format(Date var0, StringBuffer var1, FieldPosition var2)`
    `StringBuffer` | `format(Object var0, StringBuffer var1, FieldPosition var2)`
    `static Locale[]` | `getAvailableLocales()`
    `Calendar` | `getCalendar()`
    `static DateFormat` | `getDateInstance()`
    `static DateFormat` | `getDateInstance(int var0)`
    `static DateFormat` | `getDateInstance(int var0, Locale var1)`
    `static DateFormat` | `getDateTimeInstance()`
    `static DateFormat` | `getDateTimeInstance(int var0, int var1)`
    `static DateFormat` | `getDateTimeInstance(int var0, int var1, Locale var2)`
    `static DateFormat` | `getInstance()`
    `NumberFormat` | `getNumberFormat()`
    `static DateFormat` | `getTimeInstance()`
    `static DateFormat` | `getTimeInstance(int var0)`
    `static DateFormat` | `getTimeInstance(int var0, Locale var1)`
    `TimeZone` | `getTimeZone()`
    `boolean` | `isLenient()`
    `Date` | `parse(String var0)`
    `abstract Date` | `parse(String var0, ParsePosition var1)`
    `Object` | `parseObject(String var0, ParsePosition var1)`
    `void` | `setCalendar(Calendar var0)`
    `void` | `setLenient(boolean var0)`
    `void` | `setNumberFormat(NumberFormat var0)`
    `void` | `setTimeZone(TimeZone var0)`

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AM_PM_FIELD

          public static final int AM_PM_FIELD

      See Also:
        Constant Field Values

    - #### DATE_FIELD

          public static final int DATE_FIELD

      See Also:
        Constant Field Values

    - #### DAY_OF_WEEK_FIELD

          public static final int DAY_OF_WEEK_FIELD

      See Also:
        Constant Field Values

    - #### DAY_OF_WEEK_IN_MONTH_FIELD

          public static final int DAY_OF_WEEK_IN_MONTH_FIELD

      See Also:
        Constant Field Values

    - #### DAY_OF_YEAR_FIELD

          public static final int DAY_OF_YEAR_FIELD

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final int DEFAULT

      See Also:
        Constant Field Values

    - #### ERA_FIELD

          public static final int ERA_FIELD

      See Also:
        Constant Field Values

    - #### FULL

          public static final int FULL

      See Also:
        Constant Field Values

    - #### HOUR0_FIELD

          public static final int HOUR0_FIELD

      See Also:
        Constant Field Values

    - #### HOUR1_FIELD

          public static final int HOUR1_FIELD

      See Also:
        Constant Field Values

    - #### HOUR_OF_DAY0_FIELD

          public static final int HOUR_OF_DAY0_FIELD

      See Also:
        Constant Field Values

    - #### HOUR_OF_DAY1_FIELD

          public static final int HOUR_OF_DAY1_FIELD

      See Also:
        Constant Field Values

    - #### LONG

          public static final int LONG

      See Also:
        Constant Field Values

    - #### MEDIUM

          public static final int MEDIUM

      See Also:
        Constant Field Values

    - #### MILLISECOND_FIELD

          public static final int MILLISECOND_FIELD

      See Also:
        Constant Field Values

    - #### MINUTE_FIELD

          public static final int MINUTE_FIELD

      See Also:
        Constant Field Values

    - #### MONTH_FIELD

          public static final int MONTH_FIELD

      See Also:
        Constant Field Values

    - #### SECOND_FIELD

          public static final int SECOND_FIELD

      See Also:
        Constant Field Values

    - #### SHORT

          public static final int SHORT

      See Also:
        Constant Field Values

    - #### TIMEZONE_FIELD

          public static final int TIMEZONE_FIELD

      See Also:
        Constant Field Values

    - #### WEEK_OF_MONTH_FIELD

          public static final int WEEK_OF_MONTH_FIELD

      See Also:
        Constant Field Values

    - #### WEEK_OF_YEAR_FIELD

          public static final int WEEK_OF_YEAR_FIELD

      See Also:
        Constant Field Values

    - #### YEAR_FIELD

          public static final int YEAR_FIELD

      See Also:
        Constant Field Values

    - #### calendar

          protected Calendar calendar

    - #### numberFormat

          protected NumberFormat numberFormat

  - ### Constructor Detail

    - #### DateFormat

          protected DateFormat()

  - ### Method Detail

    - #### format

          public final StringBuffer format(Object var0,
                            StringBuffer var1,
                            FieldPosition var2)

      Specified by:
        `format` in class `Format`

    - #### format

          public final String format(Date var0)

    - #### format

          public abstract StringBuffer format(Date var0,
                            StringBuffer var1,
                            FieldPosition var2)

    - #### getAvailableLocales

          public static Locale[] getAvailableLocales()

    - #### getCalendar

          public Calendar getCalendar()

    - #### getDateInstance

          public static final DateFormat getDateInstance()

    - #### getDateInstance

          public static final DateFormat getDateInstance(int var0)

    - #### getDateInstance

          public static final DateFormat getDateInstance(int var0,
                                   Locale var1)

    - #### getDateTimeInstance

          public static final DateFormat getDateTimeInstance()

    - #### getDateTimeInstance

          public static final DateFormat getDateTimeInstance(int var0,
                                       int var1)

    - #### getDateTimeInstance

          public static final DateFormat getDateTimeInstance(int var0,
                                       int var1,
                                       Locale var2)

    - #### getInstance

          public static final DateFormat getInstance()

    - #### getNumberFormat

          public NumberFormat getNumberFormat()

    - #### getTimeInstance

          public static final DateFormat getTimeInstance()

    - #### getTimeInstance

          public static final DateFormat getTimeInstance(int var0)

    - #### getTimeInstance

          public static final DateFormat getTimeInstance(int var0,
                                   Locale var1)

    - #### getTimeZone

          public TimeZone getTimeZone()

    - #### isLenient

          public boolean isLenient()

    - #### parse

          public Date parse(String var0)
                     throws ParseException

      Throws:
        `ParseException`

    - #### parse

          public abstract Date parse(String var0,
                   ParsePosition var1)

    - #### parseObject

          public Object parseObject(String var0,
                           ParsePosition var1)

      Specified by:
        `parseObject` in class `Format`

    - #### setCalendar

          public void setCalendar(Calendar var0)

    - #### setLenient

          public void setLenient(boolean var0)

    - #### setNumberFormat

          public void setNumberFormat(NumberFormat var0)

    - #### setTimeZone

          public void setTimeZone(TimeZone var0)